# Generated by Django 5.1.5 on 2025-02-17 12:05

import django.db.models.deletion
import taggit.managers
import utilities.json
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ("extras", "0122_charfield_null_choices"),
        ("inventory_monitor", "0017_alter_componentservice_options_and_more"),
    ]

    operations = [
        migrations.CreateModel(
            name="RMA",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True, primary_key=True, serialize=False
                    ),
                ),
                ("created", models.DateTimeField(auto_now_add=True, null=True)),
                ("last_updated", models.DateTimeField(auto_now=True, null=True)),
                (
                    "custom_field_data",
                    models.JSONField(
                        blank=True,
                        default=dict,
                        encoder=utilities.json.CustomFieldJSONEncoder,
                    ),
                ),
                ("rma_number", models.CharField(max_length=50, unique=True)),
                (
                    "original_serial",
                    models.CharField(blank=True, max_length=255, null=True),
                ),
                (
                    "replacement_serial",
                    models.CharField(blank=True, max_length=255, null=True),
                ),
                ("status", models.CharField(default="investigating", max_length=30)),
                ("date_issued", models.DateField(blank=True, null=True)),
                ("date_shipped", models.DateField(blank=True, null=True)),
                (
                    "tracking_number",
                    models.CharField(blank=True, max_length=100, null=True),
                ),
                ("issue_description", models.TextField()),
                ("vendor_response", models.TextField(blank=True)),
                (
                    "asset",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.PROTECT,
                        related_name="rmas",
                        to="inventory_monitor.asset",
                    ),
                ),
                (
                    "tags",
                    taggit.managers.TaggableManager(
                        through="extras.TaggedItem", to="extras.Tag"
                    ),
                ),
            ],
            options={
                "verbose_name": "RMA",
                "verbose_name_plural": "RMAs",
                "ordering": ["date_issued"],
            },
        ),
    ]
